Subject: [Webpush] Replace term 'Application server'

From: Idel Pivnitskiy <[email-masked]>
Date: Thu, 2 Jun 2016 15:32:19 +0300

Hi all,

Agree with Peter, that server side is not needed for communication:

Nothing precludes an application from not needing a server side at all. I
> don't think we should change the term, but perhaps we can consider
> slightly rephrasing the definition as:
>
> "The component of an application that *usually* runs on a server and
> requests the delivery of a push message."
>

Relevant commit:
https://github.com/webpush-wg/webpush-protocol/pull/90/commits/e0222007081cbf4c96e7c285d54154840d374b6d

According to the rapid growth of IoT devices, WebPush protocol could get a
popularity for power efficient M2M communications. In this case would be
better not to fix client-server architecture/terms and use something like
sender/receiver (or something similar) instead of AS/UA.

Best regards,
Idel Pivnitskiy
--
Twitter: @idelpivnitskiy <https://twitter.com/idelpivnitskiy>
GitHub: @idelpivnitskiy <https://github.com/idelpivnitskiy>

---

From: Costin Manolache <[email-masked]>
Date: Thu, 02 Jun 2016 15:40:21 +0000

M2M is a bit more complicated due to authentication and secrecy of push
endpoint.

Some PS will require senders to authenticate with VAPID - while others will
rely only on the
fact that AS can keep the push endpoint secret. In M2M it is very hard to
keep the
endpoints and authenticator secret - and impossible to keep the sender
private key secret.

However it is possible to extend the protocol for M2M, with a future draft
- there
are several ways. The cleanest change (IMHO) is to relax the requirement of
a single
subscription per service worker - in a M2M case there are multiple senders,
and
each will need either a different endpoint/keys ( sharing the authenticator
and encryption
keys among multiple devices defeats their purpose ), and each sender will
have a separate
VAPID key that will need to be authorized. There are other options as well,
but I think it
is cleaner to handle this in a separate document.

Costin

On Thu, Jun 2, 2016 at 5:33 AM Idel Pivnitskiy <[email-masked]>
wrote:

> _______________________________________________
> Webpush mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webpush
>

---

From: Idel Pivnitskiy <[email-masked]>
Date: Fri, 3 Jun 2016 00:56:02 +0300

Hi Costin,

Agree with you. Thanks for the explanation.

Idel

On Thu, Jun 2, 2016 at 6:40 PM, Costin Manolache <[email-masked]> wrote:

> Some PS will require senders to authenticate with VAPID - while others
> will rely only on the
> are several ways. The cleanest change (IMHO) is to relax the requirement
> of a single
> subscription per service worker - in a M2M case there are multiple
> senders, and
> each will need either a different endpoint/keys ( sharing the
> authenticator and encryption
> VAPID key that will need to be authorized. There are other options as
> well, but I think it
>> According to the rapid growth of IoT devices, WebPush protocol could get
>> a popularity for power efficient M2M communications. In this case would be